1 (edited by neatsj 2022-08-29 15:22:54)

Topic: Repo Failed Safe Remi's RPM repository for Enterprise Linux 7 - aarch6

Hi,
trying to install php74 on centos7 inside a docker container.

Keep getting the same 404. Can anyone assist please? thanks.

sh-4.2# yum -y install yum-utils
Loaded plugins: fastestmirror, ovl
Determining fastest mirrors
epel/aarch64/metalink                                                                                                                                                                                 |  34 kB  00:00:00     
* base: mirror.freethought-internet.co.uk
* epel: mirror.theory7.net
* extras: mirror.freethought-internet.co.uk
* remi-safe: mirror.23m.com
* updates: mirror.freethought-internet.co.uk
base                                                                                                                                                                                                  | 3.6 kB  00:00:00     
epel                                                                                                                                                                                                  | 5.4 kB  00:00:00     
extras                                                                                                                                                                                                | 2.9 kB  00:00:00     
https://mirror.23m.com/remi/enterprise/ … epomd.xml: [Errno 14] HTTPS Error 404 - Not Found

... ( trys all mirrors and gets same 404 on repomd.xml then gives up )


etc etc

One of the configured repositories failed (Safe Remi's RPM repository for Enterprise Linux 7 - aarch64),
and yum doesn't have enough cached data to continue. At this point the only
safe thing yum can do is fail."

Re: Repo Failed Safe Remi's RPM repository for Enterprise Linux 7 - aarch6

see the wizard
aarch64 is only available for EL-9

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi

Re: Repo Failed Safe Remi's RPM repository for Enterprise Linux 7 - aarch6

Remi wrote:

see the wizard
aarch64 is only available for EL-9

Hi, thanks for the reply.
I've tried to get a different response from the Wizard, but it gives the same result for me. Clearly ( not for me ) I'm making a misrtake somewhere.

below is the wizard output :

Operating system and version selection
Operating system:
    EL 7 (maintained until June 2024)

Wanted PHP version:
7.4.30 (security only support until November 2022)

Type of installation:
Default / Single version (simplest way)

Architecture:
x86_64

Wizard answer
WARNING: CentOS 7 will reach its end of life in June 2024, in 22 months, upgrade is heartily recommended.

CentOS 7 provides PHP version 5.4 in its official repository

Command to install the EPEL repository configuration package:
    yum install ...doraproject.org/pub/epel/epel-release-latest-7.noarch.rpm

Command to install the Remi repository configuration package:
    yum install ...rpms.remirepo.net/enterprise/remi-release-7.rpm

Command to install the yum-utils package (for the yum-config-manager command):
    yum install yum-utils

You want a single version which means replacing base packages from the distribution

Packages have the same name than the base repository, ie php-*

Some common dependencies are available in remi-safe repository, which is enabled by default

PHP version 7.4 packages are available for CentOS 7 in remi-php74 repository

...

One of the configured repositories failed (Safe Remi's RPM repository for Enterprise Linux 7 - aarch64)

Re: Repo Failed Safe Remi's RPM repository for Enterprise Linux 7 - aarch6

First post:

> https://mirror.23m.com/remi/enterprise/ … epomd.xml: [Errno 14] HTTPS Error 404 - Not Found

Second post:

> Architecture:
> x86_64
> ...
> One of the configured repositories failed (Safe Remi's RPM repository for Enterprise Linux 7 - aarch64),

Of course, you need to select the proper arch in the wizard options wink

Desktop: Fedora 35 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 36 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 8 Stream with EPEL, rpmfusion, remi